Create interview
curl --request POST \
--url https://api.kombo.dev/v1/ats/applications/{application_id}/interviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"title": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"interviewer_user_ids": [
"<string>"
],
"organizer_user_id": "<string>",
"location": {
"address": "<string>"
}
}
'import requests
url = "https://api.kombo.dev/v1/ats/applications/{application_id}/interviews"
payload = {
"title": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"interviewer_user_ids": ["<string>"],
"organizer_user_id": "<string>",
"location": { "address": "<string>" }
}
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
start_time: '<string>',
end_time: '<string>',
interviewer_user_ids: ['<string>'],
organizer_user_id: '<string>',
location: {address: '<string>'}
})
};
fetch('https://api.kombo.dev/v1/ats/applications/{application_id}/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {}
}
Applications
Create interview
Create interview
POST
/
ats
/
applications
/
{application_id}
/
interviews
Create interview
Closed Beta Feature: This endpoint is currently in closed beta. We’re testing it with selected customers before its public release. If you’re interested in learning more or getting early access, please reach out.
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The ID of the application
Body
application/json
POST /ats/applications/:application_id/interviews Request body
The title of the interview
The start time of the interview
The end time of the interview
The IDs of the interviewers
The ID of the organizer
Show child attributes
Show child attributes
Was this page helpful?
⌘I